aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux/grpc_interop_matrix.sh
diff options
context:
space:
mode:
authorGravatar Yong Ni <yongni@google.com>2017-07-14 15:46:51 -0700
committerGravatar Yong Ni <yongni@google.com>2017-07-14 18:01:41 -0700
commita808af1561647dbacfa7613a182ee743b1e9477d (patch)
tree91d61f625cc9667dc849fbc9e5b2f6cbb519ee59 /tools/internal_ci/linux/grpc_interop_matrix.sh
parent51750dc7d1cb08a3d2fa3b3bd90b48e4e65c7fc8 (diff)
Added grpc_interop_matrix.cfg for kokoro.
Diffstat (limited to 'tools/internal_ci/linux/grpc_interop_matrix.sh')
-rwxr-xr-xtools/internal_ci/linux/grpc_interop_matrix.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tools/internal_ci/linux/grpc_interop_matrix.sh b/tools/internal_ci/linux/grpc_interop_matrix.sh
new file mode 100755
index 0000000000..e199d48931
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_interop_matrix.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+export LANG=en_US.UTF-8
+
+# Enter the gRPC repo root
+cd $(dirname $0)/../../..
+
+source tools/internal_ci/helper_scripts/prepare_build_linux_rc
+
+tools/interop_matrix/run_interop_matrix_tests.py --language=all --release=all --report_file=sponge_log.xml $@